Ubuntu

FFe request: Provide remote login options

Reported by Ted Gould on 2012-08-22
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Light Display Manager
Medium
Unassigned
Unity Greeter
Medium
Unassigned
libpam-freerdp (Ubuntu)
Medium
Ted Gould
lightdm (Ubuntu)
Medium
Robert Ancell
lightdm-remote-session-freerdp (Ubuntu)
Medium
Ted Gould
lightdm-remote-session-uccsconfigure (Ubuntu)
Undecided
Unassigned
remote-login-service (Ubuntu)
Undecided
Unassigned
thin-client-config-agent (Ubuntu)
Undecided
Unassigned
unity-greeter (Ubuntu)
Medium
Michael Terry

Bug Description

== Feature ==

On the greeter have the feature to use the UCCS keyring to look up remote servers and log into them with a full desktop remote session.

== Issues causing need for exception ==

There are two main driving factors:

 * MIR reviews are not complete for some packages
 * LightDM required API is not yet in distro

Both of these could be worked around in sleezey ways, but we'd much rather test everything working together before we push packages that enable this feature and make it visible to users.

Ted Gould (ted) on 2012-08-22
summary: - Provide remote login options
+ FFe request: Provide remote login options
Michael Terry (mterry) wrote :

I filed a separate FFe for the NetworkManager part of this, in hopes to get that in before Beta1 freeze (since that is on for everyone all the time, and the rest of this is opt-in). Bug 1042757.

no longer affects: network-manager-applet (Ubuntu)
Kate Stewart (kate.stewart) wrote :

Once the MIRs are resolved, when are the components targetted to land?

Which ones will make it by beta1 (before we freeze tomorrow), and which are likely to be after and how far after?

Ted Gould (ted) wrote :

The components are in distro today. There needs to be a unity-greeter release with the components in them, but the unity-greeter team would like to know this FFe is going to be accepted before doing that release.

Ted Gould (ted) wrote :

This is of course assuming the security doesn't come back with issues that require fixing.

Kate Stewart (kate.stewart) wrote :

Will the unity-greeter team only put out a release with just this change, or will they be looking at including other features in it?

On Wed, 2012-08-29 at 17:28 +0000, Kate Stewart wrote:
> Will the unity-greeter team only put out a release with just this
> change, or will they be looking at including other features in it?

This would be the largest part of the change, but also the nm-applet
inclusion that is in bug 1042757.

Also, I forgot, there'll need to be a lightdm release that hasn't been
made as well. It has been tested in a PPA and was waiting on an ACK for
the full stack working (which it does in a PPA currently). It's
expected to move forward as Australia wakes up.

Changed in lightdm (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Changed in unity-greeter (Ubuntu):
status: New → In Progress
assignee: nobody → Michael Terry (mterry)
importance: Undecided → Medium
Changed in lightdm (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in libpam-freerdp (Ubuntu):
assignee: nobody → Ted Gould (ted)
status: New → In Progress
importance: Undecided → Medium
Changed in lightdm-remote-session-freerdp (Ubuntu):
assignee: nobody → Ted Gould (ted)
status: New → In Progress
importance: Undecided → Medium
Michael Terry (mterry) wrote :

MIRs for two of the required packages are pending:
https://bugs.launchpad.net/ubuntu/+source/libpam-freerdp/+bug/1039634
https://bugs.launchpad.net/ubuntu/+source/lightdm-remote-session-freerdp/+bug/1039636

Besides that, we're ready to push now.

The two main features are NetworkManager support and Remote Login support. Everything else is UI changes or bug fixes.

Michael Terry (mterry) wrote :

If this doesn't happen in time for Beta1 Freeze, I'll push tomorrow with the two features disabled to get the rest of the changes in under the UIF wire. But I'd really like to get at least the NM change in before Beta1.

Robert Ancell (robert-ancell) wrote :

LightDM 1.3.3 is ready and waiting in lp:~ubuntu-desktop/lightdm/ubuntu for release. It contains the new feature required for remote login and three normal bug fixes.

Robert Ancell (robert-ancell) wrote :

Fixed in unity-greeter 12.10.1 and waiting in lp:~ubuntu-desktop/unity-greeter/ubuntu

Changed in unity-greeter:
status: New → Fix Released
Changed in unity-greeter (Ubuntu):
status: In Progress → Fix Committed
Changed in unity-greeter:
importance: Undecided → Medium
Changed in lightdm:
status: New → Fix Released
importance: Undecided → Medium
David Barth (dbarth) wrote :

Thanks Robert!

Michael Terry (mterry) wrote :

lightdm 1.3.3 and unity-greeter 12.10.2-0ubuntu1 uploaded to quantal. Both have this feature disabled for now via distro patches. But the code is there.

Michael Terry (mterry) wrote :

MIRs are almost done. Kate, once Beta1 comes out, I believe we'll be ready to upload the feature, barring this FFe.

Michael Terry (mterry) wrote :

OK, MIRs are all approved and the code is in quantal, just waiting to be turned on, pending FFe approval.

Kate Stewart (kate.stewart) wrote :

If all the MIRs are approved, FFE is approved (subject to landing by 9/10) Please make sure to send email to ubuntu-docs and ubuntu-translators since this will be affecting the user interface portions, detailing what will be visibly affected.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 12.10.2-0ubuntu3

---------------
unity-greeter (12.10.2-0ubuntu3) quantal; urgency=low

  * Enable Remote Login support (LP: #1040221)
  * Add proper remote login help icon from trunk
 -- Michael Terry <email address hidden> Fri, 07 Sep 2012 11:26:21 -0400

Changed in unity-greeter (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.3.3-0ubuntu3

---------------
lightdm (1.3.3-0ubuntu3) quantal; urgency=low

  * debian/patches/06_disable_remote_login.patch:
    - Drop patch, thereby enabling Remote Login support (LP: #1040221)
 -- Michael Terry <email address hidden> Fri, 07 Sep 2012 11:40:01 -0400

Changed in lightdm (Ubuntu):
status: Fix Committed → Fix Released
Michael Terry (mterry) wrote :

Just cleaning up this bug to note everything is approved and in quantal now.

Changed in libpam-freerdp (Ubuntu):
status: In Progress → Fix Released
Changed in lightdm-remote-session-freerdp (Ubuntu):
status: In Progress → Fix Released
Changed in lightdm-remote-session-uccsconfigure (Ubuntu):
status: New → Fix Released
Changed in remote-login-service (Ubuntu):
status: New → Fix Released
Changed in thin-client-config-agent (Ubuntu):
status: New → Fix Released
Michael Terry (mterry) wrote :

Oh, and emails sent to ubuntu-doc and ubuntu-translators.

Jamie Strandboge (jdstrand) wrote :

As a member of the security team, I've been asked to comment on enabling by default. When performing our reviews (which due to the time of the review, were limited to code-only reviews) , we did not realize that this would be enabled by default-- the code is brand new and it seems (tm me anyway) a strange default to have in the default install since it is presumed only a very small fraction of users will use the service (eg, they need an rdp or citrix server to user it). While our preference would be to not enable by default and let the bugs shake out, we will not block on it being turned on by default. We plan to poke at this more as all the pieces land and we gain a better overall picture, but if serious issues are found, we may revisit enabling it by default.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers